# Prometheus Remote Write

### Supported Types

| Logs | Metrics | Traces |
| ---- | ------- | ------ |
| ✓    |         |        |

### Configuration Table

<table><thead><tr><th>Parameter</th><th width="92.45703125">Type</th><th width="86.8515625">Default</th><th>Description</th></tr></thead><tbody><tr><td>hostname*</td><td><code>string</code></td><td></td><td>The hostname or IP address for the remote write backend.</td></tr><tr><td>port*</td><td><code>int</code></td><td>9009</td><td>The port remote write backend.</td></tr><tr><td>path*</td><td><code>string</code></td><td></td><td>The API Path of the remote write URL. Ex: <code>api/v1/metrics</code>.</td></tr><tr><td>headers</td><td><code>map</code></td><td></td><td>Additional headers to attach to each HTTP Request. The following headers cannot be changed: <code>Content-Encoding</code>, <code>Content-Type</code>, <code>X-Prometheus-Remote-Write-Version</code>, and <code>User-Agent</code>.</td></tr><tr><td>external_labels</td><td><code>map</code></td><td></td><td>Label names and values to be attached as metric attributes.</td></tr><tr><td>namespace</td><td><code>string</code></td><td>""</td><td>Prefix to attach to each metric name.</td></tr><tr><td>enable_resource_to_telemetry_conversion</td><td><code>bool</code></td><td>false</td><td>When enabled, it will convert all resource attributes to metric attributes.</td></tr><tr><td>enable_write_ahead_log</td><td><code>bool</code></td><td>false</td><td>Whether or not to enable a Write Ahead Log for the exporter.</td></tr><tr><td>wal_buffer_size</td><td><code>int</code></td><td>300</td><td>Number of objects to store in Write Ahead Log before truncating. Applicable if <code>enable_write_ahead_log</code> is <code>true</code>.</td></tr><tr><td>wal_truncate_frequency</td><td><code>int</code></td><td>60</td><td>Sets how often, in seconds, the Write Ahead Log should be truncated. Applicable if <code>enable_write_ahead_log</code> is <code>true</code>.</td></tr><tr><td>enable_tls</td><td><code>bool</code></td><td>false</td><td>Whether or not to use TLS.</td></tr><tr><td>strict_tls_verify</td><td><code>bool</code></td><td>false</td><td>Strict TLS Certificate Verification.</td></tr><tr><td>ca_file</td><td><code>string</code></td><td></td><td>Certificate authority used to validate TLS certificates. This is not required if the collector's operating system already trusts the certificate authority.</td></tr><tr><td>cert_file</td><td><code>string</code></td><td></td><td>A TLS certificate used for client authentication if mutual TLS is enabled.</td></tr><tr><td>key_file</td><td><code>string</code></td><td></td><td>A TLS private key used for client authentication if mutual TLS is enabled.</td></tr></tbody></table>

<mark style="color:red;">\*</mark>*<mark style="color:red;">required field</mark>*

### Supported Retry and Queuing Settings

This destination supports the [retry settings](https://docs.bindplane.com/configuration/bindplane-otel-collector/retry-on-failure).

| Sending Queue | Persistent Queue | Retry on Failure |
| ------------- | ---------------- | ---------------- |
|               |                  | ✓                |

In order to buffer metrics to disk, the Write Ahead Log (WAL) may be enabled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/integrations/destinations/prometheus-remote-write.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
